> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mosaic.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Upgrade Plan

> Upgrade or change your current organization plan.

Changes the current organization plan. Depending on billing state, Mosaic may return a checkout URL to complete the change.

## Request

```bash theme={null}
curl -X POST "https://api.mosaic.so/plan/upgrade" \
  -H "Authorization: Bearer mk_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "plan_id": "professional_annual"
  }'
```

## Body Parameters

| Field         | Type   | Required | Description                                                                                                |
| ------------- | ------ | -------- | ---------------------------------------------------------------------------------------------------------- |
| `plan_id`     | string | Yes      | Target purchasable plan ID (`creator`, `creator_annual`, `professional`, `professional_annual`, or `pro`). |
| `success_url` | string | No       | Override checkout success redirect URL.                                                                    |
| `cancel_url`  | string | No       | Override checkout cancel redirect URL.                                                                     |

## Response (Immediate Change)

```json theme={null}
{
  "success": true,
  "requires_checkout": false,
  "plan_id": "professional_annual",
  "plan_family": "professional"
}
```

## Response (Checkout Required)

```json theme={null}
{
  "success": false,
  "requires_checkout": true,
  "checkout_url": "https://billing.autumn.com/checkout/...",
  "plan_id": "professional_annual"
}
```
